"use client"
import React from 'react'
import LoginSection from "@/features/auth/ui/login-section";
import {useAuthStore} from "@/shared/store/authStore";

const Page = () => {
  const {user, isAuthenticated} = useAuthStore();

  if(user || isAuthenticated) {
    window.location.href = '/profile';
  }

  return (
  <div className="flex min-h-svh w-full items-center justify-center p-6 md:p-10">
    <div className="w-full max-w-sm">
      <LoginSection/>
    </div>
  </div>
  )
}
export default Page
